MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028621Open CASCADE[OCCT] OCCT:Visualizationpublic2017-04-03 14:332017-09-29 16:25
Reportermpv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028621: Visualization - AIS_ColoredShape::UnsetTransparency() is not implemented
DescriptionRead STEP into XCAF document

Create colored presentation using
TPrsStd_AISPresentation::Set(shapeLabel, XCAFPrs_Driver.GetID());
prs->GetAIS();

Make it transparent and back non-transparent like this:
MyAISContext.SetTransparency(MyAISContext.Current(), 0.8);
MyAISContext.SetTransparency(MyAISContext.Current(), 0);

As a result presentation in the viewer becomes default-colored (white).

Reproduced on OCCT 7.1.0 and on the current master.
Steps To Reproduce
pload VISUALIZATION MODELING
box b 1 2 3
vclear
vinit View1
vdisplay -dispMode 1 b
vfit

# OK
set aColor11 [vreadpixel 250 250 rgb name]
vsettransparency b 0.8
vunsettransparency b
set aColor12 [vreadpixel 250 250 rgb name]
if { "$aColor11" != "$aColor12" } { puts "Error: color is not set back" 
}

explode b F
vaspects b -subShapes b_2 -setColor RED

set aColor21 [vreadpixel 250 250 rgb name]
vsettransparency b 0.8
vunsettransparency b
set aColor22 [vreadpixel 250 250 rgb name]
if { "$aColor21" != "$aColor22" } { puts "Error: color is not set back" 
}
# KO



Any STEP file with colors may be used. For an example, public STEP in bugs-base bug24283_spheres.stp

pload XDE OCAF VISUALIZATION
ReadStep D1 [locate_data_file bug24283_spheres.stp]
XShow D1
vfit
vsetdispmode 1

# here spheres are not white
AISTransparency D1 0:1:1:1 0.8

# here spheres are displayed with white color
AISTransparency D1 0:1:1:1 0

TagsNo tags attached.
Test case numberbugs vis bug28621
Attached Files

- Relationships

-  Notes
(0064883)
git (administrator)
2017-04-04 10:05

Branch CR28621 has been created by kgv.

SHA-1: f5eb1ae8d3de703b1e613cc4b26268ba8d058610


Detailed log of new commits:

Author: kgv
Date: Tue Apr 4 10:04:18 2017 +0300

    0028621: Visualization - AIS_ColoredShape::UnsetTransparency() is not implemented
(0064884)
kgv (developer)
2017-04-04 10:05

Patch is ready for review.
(0065313)
san (developer)
2017-04-18 17:51

Branch CR28621 reviewed without remarks, ready for testing.
(0065315)
git (administrator)
2017-04-18 18:07

Branch CR28621 has been updated forcibly by apv.

SHA-1: e4c70eed58453047e9cd922a87cc4faa524e92f6
(0065316)
apv (tester)
2017-04-18 18:07

Branch CR28621 has been rebased on the current master
(0065338)
apv (tester)
2017-04-19 12:11

Dear BugMaster,

Branch CR28621 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: e4c70eed58453047e9cd922a87cc4faa524e92f6

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1194

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug28621 - OK
http://occt-tests/CR28621-master-OCCT/Debian70-64/bugs/vis/bug28621.html [^]
http://occt-tests/CR28621-master-OCCT/Windows-64-VC10/bugs/vis/bug28621.html [^]

Testing on Linux:
Total MEMORY difference: 91943891 / 90716652 [+1.35%]
Total CPU difference: 19648.550000000356 / 19728.57000000033 [-0.41%]

Testing on Windows:
Total MEMORY difference: 57803694 / 57804189 [-0.00%]
Total CPU difference: 18297.014087798492 / 18136.473458698543 [+0.89%]
(0065950)
git (administrator)
2017-05-12 11:36

Branch CR28621 has been deleted by kgv.

SHA-1: e4c70eed58453047e9cd922a87cc4faa524e92f6

- Related Changesets
occt: master f6d4c5cf
Timestamp: 2017-04-04 07:04:18
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028621: Visualization - AIS_ColoredShape::UnsetTransparency() is not implemented
mod - src/AIS/AIS_ColoredShape.cxx Diff ] File ]
mod - src/AIS/AIS_ColoredShape.hxx Diff ] File ]
add - tests/bugs/vis/bug28621 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-03 14:33 mpv New Issue
2017-04-03 14:33 mpv Assigned To => kgv
2017-04-04 09:23 kgv Steps to Reproduce Updated View Revisions
2017-04-04 09:43 kgv Summary Setting transparency for XCAFPrs presentation resets color => Visualization - AIS_ColoredShape::UnsetTransparency() is not implemented
2017-04-04 09:43 kgv Steps to Reproduce Updated View Revisions
2017-04-04 09:55 kgv Steps to Reproduce Updated View Revisions
2017-04-04 10:05 git Note Added: 0064883
2017-04-04 10:05 kgv Note Added: 0064884
2017-04-04 10:05 kgv Assigned To kgv => san
2017-04-04 10:05 kgv Status new => resolved
2017-04-04 10:08 kgv Product Version 7.1.0 => 6.8.0
2017-04-18 17:51 san Note Added: 0065313
2017-04-18 17:51 san Assigned To san => bugmaster
2017-04-18 17:51 san Status resolved => reviewed
2017-04-18 17:55 apv Assigned To bugmaster => apv
2017-04-18 18:07 git Note Added: 0065315
2017-04-18 18:07 apv Note Added: 0065316
2017-04-19 11:36 apv Test case number => bugs vis bug28621
2017-04-19 12:11 apv Note Added: 0065338
2017-04-19 12:11 apv Assigned To apv => bugmaster
2017-04-19 12:11 apv Status reviewed => tested
2017-04-21 14:59 bugmaster Changeset attached => occt master f6d4c5cf
2017-04-21 14:59 bugmaster Status tested => verified
2017-04-21 14:59 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065950
2017-09-29 16:19 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker